[arch-commits] Commit in (hyphen hyphen/repos hyphen/trunk hyphen/trunk/PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Sun Sep 6 10:34:18 UTC 2009


    Date: Sunday, September 6, 2009 @ 06:34:18
  Author: andyrtr
Revision: 51224

new package needed for future OpenOffice releases

Added:
  hyphen/
  hyphen/repos/
  hyphen/trunk/
  hyphen/trunk/PKGBUILD

----------+
 PKGBUILD |   49 +++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

Added: hyphen/trunk/PKGBUILD
===================================================================
--- hyphen/trunk/PKGBUILD	                        (rev 0)
+++ hyphen/trunk/PKGBUILD	2009-09-06 10:34:18 UTC (rev 51224)
@@ -0,0 +1,49 @@
+# $Id$
+# Maintainer: AndyRTR <andyrtr at archlinux.org>
+
+pkgbase=hyphen
+pkgname=('hyphen' 'hyphen-en')
+pkgver=2.4
+pkgrel=1
+arch=('i686' 'x86_64')
+url="http://hunspell.sf.net"
+license=('GPL' 'LGPL' 'MPL')
+groups=()
+makedepends=('glibc' 'perl')
+options=('!libtool')
+source=(http://downloads.sourceforge.net/hunspell/${pkgname}-${pkgver}.tar.gz)
+md5sums=('d0b5af6e408b8d2958f3d83b5244f5e8')
+
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+  ./configure --prefix=/usr --disable-static
+  make || return 1
+}
+
+package_hyphen() {
+ pkgdesc="library for high quality hyphenation and justification"
+ depends=('glibc' 'perl')
+
+  cd "$srcdir/$pkgname-$pkgver"
+  make DESTDIR="$pkgdir/" install-libLTLIBRARIES || return 1
+  make DESTDIR="$pkgdir/" install-binSCRIPTS || return 1
+  make DESTDIR="$pkgdir/" install-includeHEADERS || return 1
+  
+  # license
+  install -D -m644 COPYING "${pkgdir}"/usr/share/licenses/${pkgname}/LICENSE
+}
+
+package_hyphen-en() {
+ pkgdesc="English hyphenation rules"
+ # arch=('any')
+
+  cd "$srcdir/$pkgname-$pkgver"
+  make DESTDIR="$pkgdir/" install-hyphDATA || return 1
+
+  pushd ${pkgdir}/usr/share/hyphen/
+   en_US_aliases="en_AG en_AU en_BS en_BW en_BZ en_CA en_DK en_GB en_GH en_HK en_IE en_IN en_JM en_NA en_NZ en_PH en_SG en_TT en_ZA en_ZW"
+   for lang in $en_US_aliases; do
+        ln -s hyph_en_US.dic hyph_$lang.dic
+   done
+  popd
+}
\ No newline at end of file


Property changes on: hyphen/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id




More information about the arch-commits mailing list